Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 824665

Summary: Unable to install system updates / packages that require accepting a security signature
Product: [Fedora] Fedora Reporter: Andrew <theamazingchiepoo>
Component: gnome-packagekitAssignee: Richard Hughes <hughsient>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-11 15:00:35 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Security Signature prompt #1
none
Security Signature approval prompt #2
none
Error after approving Security Signature none

Description Andrew 2012-05-23 19:08:59 EDT
Created attachment 586479 [details]
Security Signature prompt #1

[[[Originally bug823384, couldn't make significant revisions or delete prior. Sorry for the inconvenience]]]

Description of problem:

When attempting to install a package from an official Fedore 17 repo that requires accepting a security signature, the following error occurs upon approving the package.

GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_5ftransaction_5ferror.Code14: Invalid input passed to daemon: char '<' in text!

Enclosed are screenshots leading up to the error and the error itself.


Version-Release number of selected component (if applicable):

packagekit 3.4.0
gpk-update-viewer

How reproducible:

Always


Steps to Reproduce:
1. Log into Gnome
2. Enable online repos if they're not already enabled
5. Activities -> Software Update -> Install Updates
6. Accept the package's security signature (As seen in During and 2.jpg)
7. Observe failure (as shown in After.jpg)
  
Actual results:
Package fails to install / update

Expected results:

Packages / updates should install successfully

Additional info:

Sorry if I'm reporting an issue that may have already been addressed but I am unable to update the system at all. Please advise.
Comment 1 Andrew 2012-05-23 19:09:53 EDT
Created attachment 586480 [details]
Security Signature approval prompt #2
Comment 2 Andrew 2012-05-23 19:10:56 EDT
Created attachment 586481 [details]
Error after approving Security Signature

Error that occurs after approving package's security signature
Comment 3 Andrew 2012-07-11 15:00:35 EDT
Closing now as "Works for me" since this bug only seems to affect the beta and does not occur in the official release... thanks for completely ignoring this one guys... :-/